package com.muyu.event.basics;

/**
 * @author 刘武
 * @package：
 * @name：EventHandler
 * @date：2024/9/29
 */
public class EventHandler {

    private static final ThreadLocal<EventQueueConfig> EVENT_THREAD = new ThreadLocal<>();

    public static void set(final EventQueueConfig handler) {
        EVENT_THREAD.set(handler);
    }

    public static EventQueueConfig  get() {
        return EVENT_THREAD.get();
    }

    public static void remove(){
        EVENT_THREAD.remove();
    }

}
